### Function

# AppStream ContentRating attribute_to_csm_age

since: 0.12.10

#### Declaration [src]

    guint
    as_content_rating_attribute_to_csm_age (
      const gchar* id,
      AsContentRatingValue value
    )

#### Description [src]

Gets the Common Sense Media approved age for a specific rating level.

Available since: 0.12.10

#### Parameters

`id`

  Type: `const gchar*`

  The subsection ID e.g. `violence-cartoon`.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`value`

  Type: `AsContentRatingValue`

  The `AsContentRatingValue`, e.g. `AS_CONTENT_RATING_VALUE_INTENSE`.

#### Return value

Type: `guint`

The age in years, or 0 for no details.